​
Select Service
ves-io-schema-virtual_host-API-List
Published April 5, 2023 | Last modified June 15, 2026
Examples of listing virtual_host
Usecase:
List virtual-host
Request using vesctl:
vesctl configuration list virtual_host --namespace documentation
vesctl yaml response:
errors: []items:- annotations: {} labels: ves.io/app_type: bookinfo name: productpage namespace: documentation statusSet: [] tenant: acmecorp uid: 1890e47f-17de-4dca-819b-53e358943b3aRequest using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1414723615_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/documentation/virtual_hosts'curl response
HTTP/1.1 200 OKContent-Length: 479Content-Type: application/jsonDate: Mon, 13 Apr 2026 02:03:13 GMTVary: Accept-EncodingX-Volterra-Response-Fields-Deprecated: items.#.get_spec.cdn_service.cache_ttl,items.#.get_spec.cdn_service.cdn_origin_pool.more_origin_options.disable_byte_range_request,items.#.get_spec.cdn_service.service_domains.#
{ "items": [ { "tenant": "acmecorp", "namespace": "documentation", "name": "productpage", "uid": "1890e47f-17de-4dca-819b-53e358943b3a", "description": "", "disabled": false, "labels": { "ves.io/app_type": "bookinfo" }, "annotations": { }, "owner_view": null, "metadata": null, "system_metadata": null, "get_spec": null, "status_set": [ ] } ], "errors": [ ]}